**RAPID-MIX API** is an easy-to-use toolkit designed to make sensor integration, machine learning and interactive audio accessible for artists, designers, makers, educators, and beginners, as well as creative companies and independent developers.

It has been built with RAPID-MIX technologies, that make it easy to combine sensor data, machine learning algorithms and interactive audio. They provide a full set of functionalities for cross-device and cross-platform development, modular components, and cloud-based services and multimodal data storage.

## Dependencies
Use `git submodule init` followed by `git submodule update` to pull the following library dependencies.  
1. RapidLib
2. XMM
3. GVF
4. RepoVizz2 Client

## Documentation
Full documentation at http://www.rapidmixapi.com/


## Testing   
We are using Catch for C++ testing. Look at the test fixtures in the /tests/test_projetc/test_project.xcodeproj for an example of how to implement them.

## Building with CMake
Navigate to /RAPID-MIX_API and run this in a terminal:

`mkdir build  
cd build  
cmake ..  
make  
`
